<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Coronavirus tracker</title>
    <link rel="stylesheet" href="corona.css">
    
    
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> 
     <script src="https://kit.fontawesome.com/c4f4b38242.js">crossorigin="anonymous"</script>
</head>
<body >
    <header id="bg">
        <header class="header">
            <div class="left">
                <img src="cv.png" alt="">
                <div>
                    CORONA TRACKER
                </div>
            </div>
            <div class="mid">
                <ul class="navbar">
                    <li><a href="https://www.ndtv.com/">News</a></li>
                    <li><a href="https://www.domo.com/covid19/economy/">Economical Impact</a></li>
                    <li><a href="https://www.who.int/">WHO</a></li>
                    <li><a href="https://www.domo.com/covid19/testing-and-treatment/">Testing & treatment</a></li>
                </ul>
            </div>
        </header>
        <div class="container">
            <h1>Get live data for better decision in uncertain time</h1>
            <p> Stay up-to-date with valuable coronavirun (covid-19)
             data summarized by confirmed cases, geography,testing and treatment,economy impact</p>
        </div>
        
       
        

    </header>
    <div id="update">
        <h1 id="heading">Corona virus update</h1>
    </div>
    <form id="myform=">
    <input type="text" id="country" placeholder="Country Name" required>
    <input class="btn" type="submit" value="Get Data">
    <h1 id="Confirmed">Total Confirmed :</h1>
    <h1 id="Recovered">Total Recovered :</h1>
    <h1 id="Deaths">Total Deaths :</h1>
    </form>







    <script> -->
        var myForm = document.getElementById('myForm')
    
        document.addEventListener('submit',function(e){
        
             e.preventDefault()
            
            var country = document.getElementById('country').value
            
             var url ="https://api.covid19api.com/dayone/country/"+country
            
             fetch(url)
             .then((res) => res.json())
             .then((res) => {
                console.log(res)
                var length =res.length
                var index =length -1
                var Confirmed = document.getElementById('Confirmed')
                var Recovered = document.getElementById('Recovered')
                var Deaths = document.getElementById('Deaths')
                Confirmed.innerHTML =''
                Recovered.innerHTML =''
                Deaths.innerHTML = ''
                Confirmed.append("Tolal Confirmed :" +res[index].Confirmed)
                Recovered.append("Total Recovered :" +res[index].Recovered)
                Deaths.append( "Total Deaths :" +res[index].Deaths)
                
            })
        })
        
    </script> 
    


    <div class="container1">
        <h1 class="heading">
        <span class="covid-19">COVID-19</span>STATEWISE TRACKER LIVE <span class="brand-name">INDIA</span>
        </h1>
        <div class="total-case-box">
            <div>
                <div class="icon-box">
                    <i class="fa fa-users"></i>
                </div>
                <h2>CONFIRMED</h2>
                <h2 class="total-cases">0</h2>
            </div>
            <div>
                <div class="icon-box">
                    <i class="fas fa-bell"></i>
                </div>
                <h2>active</h2>
                <h2 class="total-cases">0</h2>
            </div>
            <div>
                <div class="icon-box">
                    <i class="fas fa-child"></i>
                </div>
                <h2>RECOVERED</h2>
                <h2 class="total-cases">0</h2>
            </div>
            <div>
                <div class="icon-box">
                    <i class="fas fa-procedures"></i>
                </div>
                <h2>DEATHS</h2>
                <h2 class="total-cases">0</h2>
            </div>
        </div>
        <table>
            <tr>
                <th><b></b></th>
                <th><b>DATE TIME</b></th>
                <th><b>STATE</b></th>
                <th><b>CONFIRMED</b></th>
                <th><b>ACTIVE</b></th>
                <th><b>RECOVERED</b></th>
                <th><b>DEATHS</b></th>
            </tr>
            <tr>
                <td></td>
                <td>DATE TIME</td>
                <td>STATE</td>
                <td>CONFIRMED</td>
                <td>ACTIVE</td>
                <td>RECOVERED</td>
                <td>DEATHS</td>
            </tr>
        </table>


    </div>
    <script>
        $(document).ready(function(){
            const total_cases = $(".total-cases");
            const total_deaths = $(".total-deaths");
            const recovered = $(".recovered");
            const active_cases =$(".active-cases");
            var length;
            $.get("https://api.covid19india.org/data.json" ,
                function(response){
                    var response = response;
                    length = response.statewise.length;
                    total_cases.html(response.statewise[0].confirmed);
                    total_deaths.html(response.statewise[0].deaths);
                    recovered.html(response.statewise[0].recovered);
                    active_cases.html(response.statewise[0].active);

                    for(var i=1;i<=length;i++){
                        $("table").append("<tr><td>"+i+"</td><td>"+response.statewise[i].lastupdatedtime+"</td><td>"
                        +response.statewise[i].state+"</td><td>"+response.statewise[i]
                        .confirmed+"</td><td>"+response.statewise[i].active+"</td><td>"+response.statewise[i].recovered+
                        "</td><td>"+response.statewise[i].deaths+"</td></tr>");
                    }
                });
        });
        
    </script>
   
</body>

</html>